QGIS Application - Feature request #7556
Symbol layers are a bit confusing
2013-04-09 10:00 AM - Olivier Dalang

Status: Closed

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 16498
Description

Hi !

The layered system for vector layer symbology is very powerful, but | find it a little confusing (even after having used it quite a lot).

A. The "line pattern fill", "svg fill" and "simple fill" actually display a border, while the "point pattern fill" and "centroid fill" don't.

B. Those borders are an attribute of the fill itself for the "simple fill", but defined as a sublayer for "svg fill" and "line pattern fill".

This is especially confusing for the line pattern fill, since you'd expect that sublayer to define the lines used in the pattern.

It is also very confusing for the "svg fill", since the border width and color does not apply to the border of the fill, but to the border of the
SVG (which currently has no effect with the provided SVG library)

C. I don't understand what "Line decoration” can be used for. Is it obsolete ? It seems "marker line" does a better job.

D. "Simple marker" and "Ellipse marker" are quite similar, but "simple marker" misses the ability to flatten the markers, "ellipse marker"
misses the offset function and has less symbols.

E. In the "symbols layers" tree, the distinction between actual symbol layers and symbology elements (marker, fills and lines) is not clear.
This is made worse by the fact that they have the same icons when symbols are simple.

The names also are ambiguous: a "fill" can refer to an actual fill (simple fill, svg fill, etc.) but also to an abstract surface-shape.

Same goes for a "line", which is sometimes a stroke, and sometimes a linear shape.

F. The "Symbol layer type" drop down menu is not very visible, and does not help to understand that you can actually choose the type of
the "symbol layer"

I'd suggest the following :

A&B: Have fills be only fills, and outlines be outlines.

If you need a fill and an outline, then you'd simply have a fill layer and an outline layer.
This could be the default for a new symbol, since it's what is most frequently needed.
C: Remove "line decoration"

D: Merge ellipse marker into simple marker

E:: In the layers tree: replace "fill" (when in bold) by something like "shape”, "polygon", "surface
replace "line" (when not in bold) by "stroke".

, "area"...

E&F: Have the symbol layer type drop-down menu in the "symbols layers" tree, rather than at the top of the symbol layer's options. (see
screenshot)

Thanks !

2025-05-18 12




Related issues:
Related to QGIS Application - Bug report # 16219: SVG Fill symbol behavior do... Closed 2017-02-22

History

#1 - 2013-07-30 02:02 PM - Olivier Dalang

C. duplicates this : #8379

#2 - 2014-03-29 03:24 AM - Anita Graser
- Category set to GUI

#3 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#4 - 2018-10-23 02:46 PM - Harrissou Santanna
- Related to Bug report #16219: SVG Fill symbol behavior does not seem consistent with other fill symbol layers added

#5 - 2019-01-22 04:47 AM - Nyall Dawson
- Resolution set to fixed/implemented

- Description updated
- Status changed from Open to Closed

This report covers too many individual points -- most of which are fixed already. If any issues remain individual tickets should be opened for each.
